Skip to main content
POST
/
images
/
{id}
/
resize
Resize an image
curl --request POST \
  --url https://www.trybloom.ai/api/v1/images/{id}/resize \
  --header 'Content-Type: application/json' \
  --header 'x-api-key: <api-key>' \
  --data '
{
  "brandSessionId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
'
{
  "data": {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "status": "<unknown>"
  }
}

Documentation Index

Fetch the complete documentation index at: https://www.trybloom.ai/docs/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

x-api-key
string
header
required

Path Parameters

id
string<uuid>
required

ID of a completed image to resize

Body

application/json
targetAspectRatio
enum<string>
required

Target aspect ratio. One of "1:1", "2:3", "3:2", "3:4", "4:3", "4:5", "5:4", "9:16", "16:9", "21:9"

Available options:
1:1,
2:3,
3:2,
3:4,
4:3,
4:5,
5:4,
9:16,
16:9,
21:9
brandSessionId
string<uuid>
required

Brand session ID (from GET /brands)

Response

OK

data
object
required